# Gimp.ParamSpecObject.set_default

    @accepts(GObject.ParamSpec, GObject.Object)
    @returns(none)
    def set_default(pspec, default_value):
        # Python wrapper for gimp_param_spec_object_set_default()

Set the default object value of the param spec. This will switch the `has_default` flag so that [func@Gimp.ParamSpecObject.has_default] will now return True.

A None default_value still counts as a default (unless the specific pspec does not allow None as a default).

pspec

  a GObject.Object GObject.ParamSpec

default_value

  a default value.